Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
HOWTO: Make Google Earth use system libraries
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2  
Reply to topic    Gentoo Forums Forum Index Documentation, Tips & Tricks
View previous topic :: View next topic  
Author Message
Apopatos
Guru
Guru


Joined: 17 Oct 2004
Posts: 506
Location: Hellas

PostPosted: Tue Oct 13, 2009 9:16 pm    Post subject: Reply with quote

MalleRIM wrote:
But, is there a possibility to use any non-standard Qt-style such as bespin or oxygen?

I suppose it's like openoffice, so I don't think is possible.
_________________
rm -rf /
Back to top
View user's profile Send private message
MalleRIM
Guru
Guru


Joined: 23 Jul 2007
Posts: 540
Location: Germany

PostPosted: Tue Oct 13, 2009 11:27 pm    Post subject: Reply with quote

I suppose not, because
openoffice emulates qt4, to look better on qt4-based desktops
Googleearth uses qt4 and still looks ugly as hell on qt4 based desktops
Back to top
View user's profile Send private message
irylle12
n00b
n00b


Joined: 15 Oct 2009
Posts: 1

PostPosted: Thu Oct 15, 2009 10:51 am    Post subject: Reply with quote

Will this work smoothly with me? I have 32-bit.. Don't want to damage some of my files that's why i ask first...

signature spam removed -- admin
Back to top
View user's profile Send private message
jomen
Guru
Guru


Joined: 04 Jan 2006
Posts: 536
Location: Leipzig, Germany

PostPosted: Thu Oct 15, 2009 11:28 am    Post subject: Reply with quote

@irylle12
Read MalleRIM's post on the previous page (as well as the others...) - just deleting the libs that come with googleearth wil make it use your systems libs.
It works for me (32 Bit) - and can always be undone by just reinstalling googleearth.
_________________
Cheers
Back to top
View user's profile Send private message
toralf
Advocate
Advocate


Joined: 01 Feb 2004
Posts: 2727
Location: Hamburg/Germany

PostPosted: Thu Oct 15, 2009 11:41 am    Post subject: Reply with quote

If I add this line to googleearth :
Code:
LD_LIBRARY_PATH="/lib:/usr/lib:${LD_LIBRARY_PATH}"
I see within my .xsession-errors at a x86 system (core2 duo) :
Code:
Major Version 5
Minor Version 1
Build Number 3509
Build Date Sep 17 2009
Build Time 15:19:56
OS Type 11
OS Major Version 2
OS Minor Version 6
OS Build Version 31
OS Patch Version 4
Crash Signal 11
Crash Time 1255606212
Up Time 53.4475

Stacktrace from glibc:
./googleearth-bin[0x805caa6]
[0xb7848400]
./libge_net.so(_ZN5earth3net18CurlHttpConnection20ProcessAsyncRequestsEv+0x58)[0xb5525b58]
./libge_net.so(_ZN5earth3net18CurlHttpConnection10ThreadFuncEPv+0x1d)[0xb5525b9d]
/lib/libpthread.so.0[0xb59b016f]
/lib/libc.so.6(clone+0x5e)[0xb5f67c0e]
therefore I'm wondering whether it's a good idea to replace the bundled libs or not ....
Back to top
View user's profile Send private message
albright
Advocate
Advocate


Joined: 16 Nov 2003
Posts: 2119
Location: Near Toronto

PostPosted: Mon Oct 19, 2009 12:25 pm    Post subject: Reply with quote

Does anyone know why my googleearth will only run in opengl
software emulation mode??

(It makes no difference whether I use google or system libs)

this is an intel GM965/GL960 on a thinkpad x300 with
intel driver 2.9.0 and mesa 7.5.1 and xorg-server 1.6.5

TIA
_________________
.... there is nothing - absolutely nothing - half so much worth
doing as simply messing about with Linux ...
(apologies to Kenneth Graeme)
Back to top
View user's profile Send private message
toralf
Advocate
Advocate


Joined: 01 Feb 2004
Posts: 2727
Location: Hamburg/Germany

PostPosted: Mon Oct 19, 2009 12:40 pm    Post subject: Reply with quote

albright wrote:
Does anyone know why my googleearth will only run in opengl
software emulation mode??

(It makes no difference whether I use google or system libs)

this is an intel GM965/GL960 on a thinkpad x300 with
intel driver 2.9.0 and mesa 7.5.1 and xorg-server 1.6.5

TIA
Probably the card, b/c w/ the same intel driver and mesa and only minor version diff in xorg-server-1.6.4 I've running a T400 (intel 915 graphics) w/o problems.
Back to top
View user's profile Send private message
albright
Advocate
Advocate


Joined: 16 Nov 2003
Posts: 2119
Location: Near Toronto

PostPosted: Fri Nov 20, 2009 3:10 pm    Post subject: Reply with quote

I've upgraded to xorg-server-1.7.1, intel driver 2.9.1
and tried out mesa-9999 from x11 overlay
but googleearth still will only run in opengl software
emulation mode.

I also tried downloading directly from google the bin
file - no difference.

I stress that glxinfo reports that direct rendering is ON
and glxgears runs fine ... (are there any other programs
that would test the glx system - the kde desktop effects
work great FWTW)
_________________
.... there is nothing - absolutely nothing - half so much worth
doing as simply messing about with Linux ...
(apologies to Kenneth Graeme)
Back to top
View user's profile Send private message
Bircoph
Developer
Developer


Joined: 27 Jun 2008
Posts: 260
Location: Moscow

PostPosted: Thu Nov 26, 2009 9:06 am    Post subject: Reply with quote

MalleRIM wrote:
Simply deleting the libraries will force googleearth to use the system libraries. There is no need of symlinking. But, is there a possibility to use any non-standard Qt-style such as bespin or oxygen?

Nope. Not all libs are in system default search paths. You should tamper with LD_LIBRARY_PATH. But the latter will alter *.so$ files some of them should not be altered.
_________________
Per aspera ad astra!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Documentation, Tips & Tricks All times are GMT
Goto page Previous  1, 2
Page 2 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum